# Ruboty::Sendmail

Ruboty handler to send a mail.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'ruboty-sendmail'
```

## Usage

```
@ruboty sendmail <address> <body>
```

## Example

```
> @ruboty sendmail foo@bar.com This is test.
Success!
```

## Setting

```
# $HOME/.ruboty-sendmail.yml

method: :smtp            # Default: :smtp
subject: 'ALERT!'        # Default: 'Send by ruboty-sendmail'
from: 'username@foo.com' # REQUIRED

option:
  address: 'mail.foo.com'
  port: 465
  domain: 'foo.com'
  authentication: :plain
  user_name: 'username'
  password: 'password'
  ssl: true
```

### Available Options

Option | Default
--- | ---
address | 'localhost'
port | 25
domain | 'localhost.localdomain'
authentication | nil
user\_name | nil
password | nil
ssl | nil
enable\_starttls\_auto | true
openssl\_verify\_mode | nil
